On this page
No Headings
Last updated: June 3, 2026
You can observe what happens when Multiple Account Management (MAM) accounts have limitations. To explore these scenarios, use simulation keywords as shown in the following examples.
In this use case, the account has limitations, and the merchant has to provide additional information to complete transactions.
Complete the following steps to remove the limitations and make the account fully functional:
Create an account with complete and accurate information that passes electronic verification.
{
"external_id": "EXT-{{$timestamp}}",
"legal_country_code": "US",
"organization": "{{organization}}",
"user_id": "{{currentTime}}",
"primary_currency_code": "USD",
"individual_owners": [
{
"names": [
{
"type": "LEGAL",
"given_name": "LMTNHaruma",
"surname": "LMTNGama"
}
],
"primary_residence": {
"address_line_1": "1234 Lane1 Drive",
"admin_area_2": "100",
"postal_code": "95014",
"country_code": "US"
},
"citizenship": "US",
"birth_details": {
"date_of_birth": "1995-05-30"
},
"identification_documents": [
{
"type": "SOCIAL_SECURITY_NUMBER",
"identification_number": "050-64-9837",
"issuing_country_code": "US"
}
],
"phone_numbers": [
{
"country_code": "030",
"national_number": "6151175",
"extension_number": "1",
"type": "MOBILE"
}
],
"emails": [
{
"email": "[email protected]"
}
]
}
],
"business_entity": {
"merchant_category_code": 5933,
"type": "INDIVIDUAL",
"names": [
{
"type": "LEGAL",
"business_name": "Demo"
}
],
"phone_numbers": [
{
"country_code": "{{phone_country_code}}",
"national_number": "{{phone_number}}",
"extension_number": "{{phone_country_code}}",
"type": "BUSINESS"
}
],
"addresses": [
{
"address_line_1": "Campus 611 - 1876",
"address_line_2": "West Seattle",
"admin_area_2": "Seattle",
"admin_area_1": "WA",
"postal_code": "98109",
"country_code": "US",
"type": "BUSINESS"
}
],
"emails": [
{
"email": "[email protected]"
}
],
"website_info": {
"website_exists": true,
"website_url": "www.test.com"
}
},
"agreements": [
{
"type": "TERMS_ACCEPTED",
"accepted_time": "2019-06-02T01:23:45Z"
}
]
}For this scenario, complete a transaction for $71.22, using the following steps:
The resulting payment capture shows the transaction is in pending status.
{
"intent": "CAPTURE",
"purchase_units": [
{
"payment_group_id": "1",
"reference_id": "refernece_id_{{$timestamp}}",
"description": "Description of PU1",
"custom_id": "custom_id_{{$timestamp}}",
"soft_descriptor": "soft_1001",
"invoice_id": "invoice_id_{{$timestamp}}",
"amount": {
"currency_code": "{{currency}}",
"value": "{{total}}",
"breakdown": {
"item_total": {
"currency_code": "{{currency}}",
"value": "{{total}}"
},
"shipping": {
"currency_code": "{{currency}}",
"value": "0"
},
"handling": {
"currency_code": "{{currency}}",
"value": "0"
},
"tax_total": {
"currency_code": "{{currency}}",
"value": "0"
},
"gift_wrap": {
"currency_code": "{{currency}}",
"value": "1.00"
},
"shipping_discount": {
"currency_code": "{{currency}}",
"value": "0"
}
}
},
"items": [
{
"name": "VRLens1",
"description": "VRLens1",
"sku": "259483234816",
"unit_amount": {
"currency_code": "{{currency}}",
"value": "{{amount1}}"
},
"tax": {
"currency_code": "{{currency}}",
"value": "0"
},
"quantity": "1",
"category": "PHYSICAL_GOODS",
"postback_data": [
{
"name": "order_id",
"value": "test1"
},
{
"name": "site_id",
"value": "test2"
},
{
"name": "external_id",
"value": "test3"
}
]
},
{
"name": "VRLens2",
"description": "VRLens2",
"sku": "259483234816",
"unit_amount": {
"currency_code": "{{currency}}",
"value": "{{amount2}}"
},
"tax": {
"currency_code": "{{currency}}",
"value": "0"
},
"quantity": "1",
"category": "DIGITAL_GOODS",
"postback_data": [
{
"name": "order_id",
"value": "test1"
},
{
"name": "site_id",
"value": "test2"
},
{
"name": "external_id",
"value": "test3"
}
]
}
],
"payee": {
"merchant_id": "{{payer_id}}",
"display_data": {
"business_email": "{{email}}",
"brand_name": "INC",
"business_phone": {
"country_code": "{{phone_country_code}}",
"national_number": "{{phone_number}}",
"extension_number": "{{phone_country_code}}"
}
}
},
"shipping": {
"address": {
"shipping_name": "William Woodbridge",
"phone": "{{phone_number}}",
"address_line_1": "{{address_line_1}}",
"address_line_2": "{{address_line_2}}",
"admin_area_1": "{{admin_area_1}}",
"admin_area_2": "{{admin_area_2}}",
"postal_code": "{{postal_code}}",
"country_code": "{{country_code}}",
"address_details": {}
},
"method": "USPS"
},
"payment_instruction": {
"disbursement_mode": "{{disbursement_mode}}"
}
}
],
"application_context": {
"payment_method": {
"standard_entry_class_code": "WEB"
},
"brand_name": "INC",
"locale": "{{locale}}",
"landing_page": "BILLING",
"shipping_preference": "SET_PROVIDED_ADDRESS",
"user_action": "PAY_NOW",
"return_url": "https://www.google.com",
"cancel_url": "https://www.yahoo.com"
}
}View the webhook notification and confirm that the transaction is on hold.
{
"id": "WH-6LK93443N9686384U-1HB78281R4238074D",
"event_version": "1.0",
"create_time": "2024-06-05T12:46:55.322Z",
"resource_type": "capture",
"resource_version": "2.0",
"event_type": "PAYMENT.CAPTURE.PENDING",
"summary": "Payment pending for $71.22 USD",
"resource": {
"disbursement_mode": "INSTANT",
"amount": {
"value": "71.22",
"currency_code": "USD"
},
"seller_protection": {
"dispute_categories": [
"ITEM_NOT_RECEIVED",
"UNAUTHORIZED_TRANSACTION"
],
"status": "ELIGIBLE"
},
"create_time": "2024-06-05T12:46:50Z",
"custom_id": "custom_id_1717591512",
"payee": {
"merchant_id": "S2EPPLYD74ZES"
},
"supplementary_data": {
"related_ids": {
"order_id": "0U574022AC8586735"
}
},
"update_time": "2024-06-05T12:46:50Z",
"final_capture": true,
"invoice_id": "invoice_id_1717591512",
"links": [
{
"method": "GET",
"rel": "self",
"href": "https://api.sandbox.paypal.com/v2/payments/captures/8SE43857YJ339540E"
},
{
"method": "POST",
"rel": "refund",
"href": "https://api.sandbox.paypal.com/v2/payments/captures/8SE43857YJ339540E/refund"
},
{
"method": "GET",
"rel": "up",
"href": "https://api.sandbox.paypal.com/v2/checkout/orders/0U574022AC8586735"
}
]
},
"status_details": {
"reason": "PENDING_REVIEW",
"status": "PENDING"
},
"links": [
{
"href": "https://api.sandbox.paypal.com/v1/notifications/webhooks-events/WH-6LK93443N9686384U-1HB78281R4238074D",
"rel": "self",
"method": "GET"
},
{
"href": "https://api.sandbox.paypal.com/v1/notifications/webhooks-events/WH-6LK93443N9686384U-1HB78281R4238074D/resend",
"rel": "resend",
"method": "POST"
}
]
}Complete a GET request GET /v3/customer/managed-accounts/ACCOUNT-ID?views=process_view'. View the limitation details in the response and use the process_view section to understand the required additional information.
{
"account_id": "S2EPPLYD74ZES",
"legal_country_code": "US",
"individual_owners": [
{
"id": "S2EPPLYD74ZES",
"names": [
{
"given_name": "LMTNHaruma",
"surname": "LMTNGama",
"id": "A699XGE9PDUFJ",
"type": "LEGAL"
}
],
"citizenship": "US",
"primary_residence": {
"address_line_1": "1234 Lane1 Drive",
"admin_area_2": "100",
"postal_code": "95014",
"country_code": "US"
},
"phone_numbers": [
{
"country_code": "030",
"national_number": "6151175",
"id": "SZVV2TTYCYWDU",
"type": "MOBILE"
}
],
"birth_details": {
"date_of_birth": "1995-05-30"
},
"identification_documents": [
{
"id": "M9Z5GPY8SRK8U",
"identification_number": "****",
"issuing_country_code": "US",
"type": "SOCIAL_SECURITY_NUMBER"
}
],
"emails": [
{
"id": "DQWN6EBZB5EHW",
"email": "[email protected]"
}
]
}
],
"business_entity": {
"type": "INDIVIDUAL",
"merchant_category_code": "5933",
"incorporation_details": {},
"names": [
{
"business_name": "Demo",
"id": "4XKZTLKLXPBK8",
"type": "LEGAL"
}
],
"emails": [
{
"id": "9LT5JRNNHPLU6",
"email": "[email protected]"
}
],
"website_info": {
"website_exists": true,
"website_url": "www.test.com"
},
"registered_business_address": {
"address_line_1": "Campus 611 - 1876",
"address_line_2": "West Seattle",
"admin_area_2": "Seattle",
"admin_area_1": "WA",
"postal_code": "98109",
"country_code": "US"
},
"phone_numbers": [
{
"country_code": "1",
"national_number": "4088594848",
"id": "BZ6VQLF8V3BKN",
"type": "BUSINESS"
}
],
"identification_documents": [
{
"id": "5ZA8M5HRLDQRQ",
"identification_number": "****",
"issuing_country_code": "US",
"type": "EMPLOYER_IDENTIFICATION_NUMBER"
}
],
"declarations": [
{
"name": "TWENTY_FIVE_PERCENT_BENEFICIAL_OWNER",
"value": "NO"
}
]
},
"agreements": [
{
"type": "TERMS_ACCEPTED",
"accepted_time": "2019-06-02T01:23:45Z"
}
],
"balances": [
{
"available_balances": [
{
"currency_code": "USD",
"value": "0.00"
}
],
"available": {
"currency_code": "USD",
"value": "0.00"
},
"reserved": {
"currency_code": "USD",
"value": "0.00"
}
}
],
"external_id": "EXT-1717590249",
"organization": "us",
"user_id": "1717590246369",
"primary_currency_code": "USD",
"soft_descriptor": "DEMO",
"capabilities": [
{
"name": "RECEIVE_MONEY",
"status": "INACTIVE"
}
],
"process_view": {
"processes": [
{
"name": "REQUEST_FOR_INFORMATION_224",
"status": "NEED_MORE_DATA",
"limitation_category": "REGULATORY_COMPLIANCE",
"limitation_text": "We need additional information to ensure your recent activity complies with our global regulatory obligations. We may request information related to transaction details, activity, or profile information.",
"capabilities": [
{
"name": "RECEIVE_MONEY",
"status": "INACTIVE"
}
],
"required": {
"op": "ALL_OF",
"attributes": [
{
"op": "ONE_OF",
"attributes": [
"1989a",
"d8654",
"1a90e"
]
},
{
"op": "ONE_OF",
"attributes": [
"1989a",
"07e05"
]
}
]
}
},
{
"name": "MANAGED_PATH_KYC_COLLECTION",
"status": "COMPLETED",
"capabilities": [
{
"name": "RECEIVE_MONEY"
}
]
},
{
"name": "MANAGED_PATH_KYC_VERIFICATION",
"status": "COMPLETED",
"capabilities": [
{
"name": "RECEIVE_MONEY"
}
]
}
],
"required_documents": [
{
"id": "d8654",
"name": "PASSPORT",
"entity": "$.individual_owners[?(@['id']=='S2EPPLYD74ZES')]",
"links": [
{
"href": "https://api.sandbox.paypal.com/v1/customer/supporting-documents/429cc4d0-f075-4577-a9f7-cd200ad6b44f/upload",
"rel": "upload",
"method": "POST"
}
]
},
{
"id": "07e05",
"name": "UTILITIES_BILL",
"entity": "$.individual_owners[?(@['id']=='S2EPPLYD74ZES')]",
"links": [
{
"href": "https://api.sandbox.paypal.com/v1/customer/supporting-documents/951edede-25de-4836-88a0-4c45a7c45e48/upload",
"rel": "upload",
"method": "POST"
}
]
},
{
"id": "1a90e",
"name": "MILITARY_IDENTIFICATION_CARD",
"entity": "$.individual_owners[?(@['id']=='S2EPPLYD74ZES')]",
"links": [
{
"href": "https://api.sandbox.paypal.com/v1/customer/supporting-documents/429cc4d0-f075-4577-a9f7-cd200ad6b44f/upload",
"rel": "upload",
"method": "POST"
}
]
},
{
"id": "1989a",
"name": "DRIVERS_LICENSE",
"entity": "$.individual_owners[?(@['id']=='S2EPPLYD74ZES')]",
"links": [
{
"href": "https://api.sandbox.paypal.com/v1/customer/supporting-documents/429cc4d0-f075-4577-a9f7-cd200ad6b44f/upload",
"rel": "upload",
"method": "POST"
},
{
"href": "https://api.sandbox.paypal.com/v1/customer/supporting-documents/951edede-25de-4836-88a0-4c45a7c45e48/upload",
"rel": "upload",
"method": "POST"
}
]
}
]
},
"links": [
{
"href": "https://api.sandbox.paypal.com/v3/customer/managed-accounts/S2EPPLYD74ZES",
"rel": "self",
"method": "GET"
},
{
"href": "https://api.sandbox.paypal.com/v3/customer/managed-accounts/S2EPPLYD74ZES",
"rel": "edit",
"method": "PATCH"
}
]
}Upload the required additional document(s). Use the keyword accept in the document's name to ensure the document is accepted.
curl -v -X \
POST https://api-m.sandbox.paypal.com/v1/customer/supporting-documents \
-H "Content-Type: multipart/form-data; boundary=WebKitFormBoundarydCVmGbjc9rWllBlE" \
-H "Authorization: Bearer Access-Token" \
-F 'input={"document_info": "{"document_type":"PASSPORT"}"};type=application/json' \
-F '[email protected]' \Receive the webhook notification when the status of a managed account changes. Check the processes section to verify the status of various processes. Here, all processes now have a status of "COMPLETED", and the REQUEST_FOR_INFORMATION_224 process no longer shows up on the account.
{
"id": "WH-9P8034749V1627252-1UA00823T88923542",
"event_version": "1.0",
"create_time": "2024-06-05T12:55:55.000Z",
"resource_type": "managed-accounts",
"event_type": "CUSTOMER.MANAGED-ACCOUNT.ACCOUNT-STATUS-CHANGED",
"summary": "An account status has been changed",
"resource": {
"processes": [
{
"name": "MANAGED_PATH_KYC_VERIFICATION",
"status": "COMPLETED"
},
{
"name": "MANAGED_PATH_KYC_COLLECTION",
"status": "COMPLETED"
}
],
"account_id": "S2EPPLYD74ZES",
"capabilities": [
{
"name": "CUSTOM_CARD_PROCESSING",
"status": "ACTIVE"
},
{
"name": "RECEIVE_MONEY",
"status": "ACTIVE"
},
{
"name": "WITHDRAW_MONEY",
"status": "ACTIVE"
},
{
"name": "APPLE_PAY",
"status": "ACTIVE"
},
{
"name": "GOOGLE_PAY",
"status": "ACTIVE"
}
],
"application_context": {
"event_context": "INFO"
},
"external_id": "EXT-1717590249",
"links": [
{
"rel": "self",
"href": "https://api.paypal.com/v3/customer/managed-accounts/S2EPPLYD74ZES",
"method": "GET"
}
]
},
"links": [
{
"href": "https://api.sandbox.paypal.com/v1/notifications/webhooks-events/WH-9P8034749V1627252-1UA00823T88923542",
"rel": "self",
"method": "GET"
},
{
"href": "https://api.sandbox.paypal.com/v1/notifications/webhooks-events/WH-9P8034749V1627252-1UA00823T88923542/resend",
"rel": "resend",
"method": "POST"
}
]
}Complete a GET request GET /v3/customer/managed-accounts/ACCOUNT-ID?views=process_view'. View the response to confirm that the limitation is now removed and the account is fully functional.
{
"account_id": "S2EPPLYD74ZES",
"legal_country_code": "US",
"individual_owners": [
{
"id": "S2EPPLYD74ZES",
"names": [
{
"given_name": "LMTNHaruma",
"surname": "LMTNGama",
"id": "A699XGE9PDUFJ",
"type": "LEGAL"
}
],
"citizenship": "US",
"primary_residence": {
"address_line_1": "1234 Lane1 Drive",
"admin_area_2": "100",
"postal_code": "95014",
"country_code": "US"
},
"phone_numbers": [
{
"country_code": "030",
"national_number": "6151175",
"id": "SZVV2TTYCYWDU",
"type": "MOBILE"
}
],
"birth_details": {
"date_of_birth": "1995-05-30"
},
"identification_documents": [
{
"id": "M9Z5GPY8SRK8U",
"identification_number": "****",
"issuing_country_code": "US",
"type": "SOCIAL_SECURITY_NUMBER"
}
],
"emails": [
{
"id": "DQWN6EBZB5EHW",
"email": "[email protected]"
}
]
}
],
"business_entity": {
"type": "INDIVIDUAL",
"merchant_category_code": "5933",
"incorporation_details": {},
"names": [
{
"business_name": "Demo",
"id": "4XKZTLKLXPBK8",
"type": "LEGAL"
}
],
"emails": [
{
"id": "9LT5JRNNHPLU6",
"email": "[email protected]"
}
],
"website_info": {
"website_exists": true,
"website_url": "www.test.com"
},
"registered_business_address": {
"address_line_1": "Campus 611 - 1876",
"address_line_2": "West Seattle",
"admin_area_2": "Seattle",
"admin_area_1": "WA",
"postal_code": "98109",
"country_code": "US"
},
"phone_numbers": [
{
"country_code": "1",
"national_number": "4088594848",
"id": "BZ6VQLF8V3BKN",
"type": "BUSINESS"
}
],
"identification_documents": [
{
"id": "5ZA8M5HRLDQRQ",
"identification_number": "****",
"issuing_country_code": "US",
"type": "EMPLOYER_IDENTIFICATION_NUMBER"
}
],
"declarations": [
{
"name": "TWENTY_FIVE_PERCENT_BENEFICIAL_OWNER",
"value": "NO"
}
]
},
"agreements": [
{
"type": "TERMS_ACCEPTED",
"accepted_time": "2019-06-02T01:23:45Z"
}
],
"balances": [
{
"available_balances": [
{
"currency_code": "USD",
"value": "68.24"
}
],
"available": {
"currency_code": "USD",
"value": "68.24"
},
"reserved": {
"currency_code": "USD",
"value": "0.00"
}
}
],
"external_id": "EXT-1717590249",
"organization": "us",
"user_id": "1717590246369",
"primary_currency_code": "USD",
"soft_descriptor": "DEMO",
"capabilities": [
{
"name": "APPLE_PAY",
"status": "ACTIVE"
},
{
"name": "GOOGLE_PAY",
"status": "ACTIVE"
},
{
"name": "CUSTOM_CARD_PROCESSING",
"status": "ACTIVE"
},
{
"name": "RECEIVE_MONEY",
"status": "ACTIVE"
},
{
"name": "WITHDRAW_MONEY",
"status": "ACTIVE"
}
],
"process_view": {
"processes": [
{
"name": "MANAGED_PATH_KYC_COLLECTION",
"status": "COMPLETED",
"capabilities": [
{
"name": "CUSTOM_CARD_PROCESSING"
},
{
"name": "RECEIVE_MONEY"
},
{
"name": "APPLE_PAY"
},
{
"name": "WITHDRAW_MONEY"
},
{
"name": "GOOGLE_PAY"
}
]
},
{
"name": "MANAGED_PATH_KYC_VERIFICATION",
"status": "COMPLETED",
"capabilities": [
{
"name": "APPLE_PAY"
},
{
"name": "WITHDRAW_MONEY"
},
{
"name": "GOOGLE_PAY"
},
{
"name": "CUSTOM_CARD_PROCESSING"
},
{
"name": "RECEIVE_MONEY"
}
]
}
]
},
"links": [
{
"href": "https://api.sandbox.paypal.com/v3/customer/managed-accounts/S2EPPLYD74ZES",
"rel": "self",
"method": "GET"
},
{
"href": "https://api.sandbox.paypal.com/v3/customer/managed-accounts/S2EPPLYD74ZES",
"rel": "edit",
"method": "PATCH"
},
{
"href": "https://api.sandbox.paypal.com/v3/customer/managed-accounts/S2EPPLYD74ZES/wallet-domains?page=1",
"rel": "wallet-domains",
"method": "GET"
}
]
}Receive the webhook notification and check the transaction status field to confirm the transaction is not on hold. In this example, the status is "COMPLETED", meaning the payment capture was successful.
{
"id": "WH-8X1481102D930151H-0EW76440CT3112059",
"event_version": "1.0",
"create_time": "2024-06-05T12:56:17.887Z",
"resource_type": "capture",
"resource_version": "2.0",
"event_type": "PAYMENT.CAPTURE.COMPLETED",
"summary": "A $ 71.22 USD pending capture payment was completed",
"resource": {
"disbursement_mode": "INSTANT",
"amount": {
"value": "71.22",
"currency_code": "USD"
},
"seller_protection": {
"dispute_categories": [
"ITEM_NOT_RECEIVED",
"UNAUTHORIZED_TRANSACTION"
],
"status": "ELIGIBLE"
},
"create_time": "2024-06-05T12:46:50Z",
"custom_id": "custom_id_1717591512",
"payee": {
"merchant_id": "S2EPPLYD74ZES"
},
"supplementary_data": {
"related_ids": {
"order_id": "0U574022AC8586735"
}
},
"update_time": "2024-06-05T12:56:13Z",
"final_capture": true,
"seller_receivable_breakdown": {
"paypal_fee": {
"value": "2.98",
"currency_code": "USD"
},
"gross_amount": {
"value": "71.22",
"currency_code": "USD"
},
"net_amount": {
"value": "68.24",
"currency_code": "USD"
}
},
"invoice_id": "invoice_id_1717591512",
"links": [
{
"method": "GET",
"rel": "self",
"href": "https://api.sandbox.paypal.com/v2/payments/captures/8SE43857YJ339540E"
},
{
"method": "POST",
"rel": "refund",
"href": "https://api.sandbox.paypal.com/v2/payments/captures/8SE43857YJ339540E/refund"
},
{
"method": "GET",
"rel": "up",
"href": "https://api.sandbox.paypal.com/v2/checkout/orders/0U574022AC8586735"
}
],
"id": "8SE43857YJ339540E",
"status": "COMPLETED"
},
"links": [
{
"href": "https://api.sandbox.paypal.com/v1/notifications/webhooks-events/WH-8X1481102D930151H-0EW76440CT3112059",
"rel": "self",
"method": "GET"
},
{
"href": "https://api.sandbox.paypal.com/v1/notifications/webhooks-events/WH-8X1481102D930151H-0EW76440CT3112059/resend",
"rel": "resend",
"method": "POST"
}
]
}In this use case, the account has limitations, requiring the merchant to provide additional information to complete transactions. The uploaded documents are rejected and the account is permanently limited.
To simulate this scenario, complete the following steps:
given_name and surname must have a DECLINED prefix.{
"external_id": "EXT-{{$timestamp}}",
"legal_country_code": "US",
"organization": "{{organization}}",
"user_id": "{{currentTime}}",
"primary_currency_code": "USD",
"individual_owners": [
{
"names": [
{
"type": "LEGAL",
"given_name": "DECLINEDHaruma",
"surname": "DECLINEDGama"
}
],
"primary_residence": {
"address_line_1": "1234 Lane1 Drive",
"admin_area_2": "100",
"postal_code": "95014",
"country_code": "US"
},
"citizenship": "US",
"birth_details": {
"date_of_birth": "1995-05-30"
},
"identification_documents": [
{
"type": "SOCIAL_SECURITY_NUMBER",
"identification_number": "050-64-9837",
"issuing_country_code": "US"
}
],
"phone_numbers": [
{
"country_code": "030",
"national_number": "6151175",
"extension_number": "1",
"type": "MOBILE"
}
],
"emails": [
{
"email": "[email protected]"
}
]
}
],
"business_entity": {
"merchant_category_code": 5933,
"type": "INDIVIDUAL",
"names": [
{
"type": "LEGAL",
"business_name": "Demo"
}
],
"phone_numbers": [
{
"country_code": "{{phone_country_code}}",
"national_number": "{{phone_number}}",
"extension_number": "{{phone_country_code}}",
"type": "BUSINESS"
}
],
"addresses": [
{
"address_line_1": "Campus 611 - 1876",
"address_line_2": "West Seattle",
"admin_area_2": "Seattle",
"admin_area_1": "WA",
"postal_code": "98109",
"country_code": "US",
"type": "BUSINESS"
}
],
"emails": [
{
"email": "[email protected]"
}
],
"website_info": {
"website_exists": true,
"website_url": "www.test.com"
}
},
"agreements": [
{
"type": "TERMS_ACCEPTED",
"accepted_time": "2019-06-02T01:23:45Z"
}
]
}Receive the webhook notification when the status of a managed account changes.
{
"id": "WH-4G140600NX031150M-0L52907140191552H",
"event_version": "1.0",
"create_time": "2024-06-05T13:46:13.000Z",
"resource_type": "managed-accounts",
"event_type": "CUSTOMER.MANAGED-ACCOUNT.ACCOUNT-STATUS-CHANGED",
"summary": "An account status has been changed",
"resource": {
"processes": [
{
"name": "MANAGED_PATH_KYC_COLLECTION",
"status": "COMPLETED"
},
{
"name": "MANAGED_PATH_KYC_VERIFICATION",
"status": "NEED_MORE_DATA"
}
],
"account_id": "TU8NQAK97BJ5J",
"capabilities": [
{
"name": "CUSTOM_CARD_PROCESSING",
"status": "ACTIVE"
},
{
"name": "GOOGLE_PAY",
"status": "ACTIVE"
},
{
"name": "APPLE_PAY",
"status": "ACTIVE"
},
{
"name": "WITHDRAW_MONEY",
"status": "ACTIVE"
},
{
"name": "RECEIVE_MONEY",
"status": "ACTIVE"
}
],
"application_context": {
"event_context": "ACTION"
},
"external_id": "EXT-1717595152",
"links": [
{
"rel": "self",
"href": "https://api.paypal.com/v3/customer/managed-accounts/TU8NQAK97BJ5J",
"method": "GET"
}
]
},
"links": [
{
"href": "https://api.sandbox.paypal.com/v1/notifications/webhooks-events/WH-4G140600NX031150M-0L52907140191552H",
"rel": "self",
"method": "GET"
},
{
"href": "https://api.sandbox.paypal.com/v1/notifications/webhooks-events/WH-4G140600NX031150M-0L52907140191552H/resend",
"rel": "resend",
"method": "POST"
}
]
}Complete a GET request GET /v3/customer/managed-accounts/ACCOUNT-ID?views=process_view'. View the limitation details in the response and use the process_view section to understand the required additional information.
{
"account_id": "TU8NQAK97BJ5J",
"legal_country_code": "US",
"individual_owners": [
{
"id": "TU8NQAK97BJ5J",
"names": [
{
"given_name": "DECLINEDHaruma",
"surname": "DECLINEDGama",
"id": "ZERE8PQYY9Q3J",
"type": "LEGAL"
}
],
"citizenship": "US",
"primary_residence": {
"address_line_1": "1234 Lane1 Drive",
"admin_area_2": "100",
"postal_code": "95014",
"country_code": "US"
},
"phone_numbers": [
{
"country_code": "030",
"national_number": "6151175",
"id": "7KQCFT747TQLQ",
"type": "MOBILE"
}
],
"birth_details": {
"date_of_birth": "1995-05-30"
},
"identification_documents": [
{
"id": "DMSBWLLSU5BBU",
"identification_number": "****",
"issuing_country_code": "US",
"type": "SOCIAL_SECURITY_NUMBER"
}
],
"emails": [
{
"id": "4HHZF8Y4MG72G",
"email": "[email protected]"
}
]
}
],
"business_entity": {
"type": "INDIVIDUAL",
"merchant_category_code": "5933",
"incorporation_details": {},
"names": [
{
"business_name": "Demo",
"id": "RHZH8GJECKR84",
"type": "LEGAL"
}
],
"emails": [
{
"id": "E6J67DUBMUL36",
"email": "[email protected]"
}
],
"website_info": {
"website_exists": true,
"website_url": "www.test.com"
},
"registered_business_address": {
"address_line_1": "Campus 611 - 1876",
"address_line_2": "West Seattle",
"admin_area_2": "Seattle",
"admin_area_1": "WA",
"postal_code": "98109",
"country_code": "US"
},
"phone_numbers": [
{
"country_code": "1",
"national_number": "4088594848",
"id": "Q5JNBWZ93NVXJ",
"type": "BUSINESS"
}
],
"identification_documents": [
{
"id": "AUBW6W48XVK6G",
"identification_number": "****",
"issuing_country_code": "US",
"type": "EMPLOYER_IDENTIFICATION_NUMBER"
}
],
"declarations": [
{
"name": "TWENTY_FIVE_PERCENT_BENEFICIAL_OWNER",
"value": "NO"
}
]
},
"agreements": [
{
"type": "TERMS_ACCEPTED",
"accepted_time": "2019-06-02T01:23:45Z"
}
],
"balances": [
{
"available_balances": [
{
"currency_code": "USD",
"value": "0.00"
}
],
"available": {
"currency_code": "USD",
"value": "0.00"
},
"reserved": {
"currency_code": "USD",
"value": "0.00"
}
}
],
"external_id": "EXT-1717595152",
"organization": "us",
"user_id": "1717595104341",
"primary_currency_code": "USD",
"soft_descriptor": "DEMO",
"capabilities": [
{
"name": "APPLE_PAY",
"limits": [
{
"type": "AMOUNT",
"unit": "USD",
"value": "600.00",
"remaining_value": "600.00",
"implication_of_limit_breach": "START_GRACE_PERIOD"
}
],
"status": "ACTIVE"
},
{
"name": "GOOGLE_PAY",
"limits": [
{
"type": "AMOUNT",
"unit": "USD",
"value": "600.00",
"remaining_value": "600.00",
"implication_of_limit_breach": "START_GRACE_PERIOD"
}
],
"status": "ACTIVE"
},
{
"name": "CUSTOM_CARD_PROCESSING",
"limits": [
{
"type": "AMOUNT",
"unit": "USD",
"value": "600.00",
"remaining_value": "600.00",
"implication_of_limit_breach": "START_GRACE_PERIOD"
}
],
"status": "ACTIVE"
},
{
"name": "RECEIVE_MONEY",
"limits": [
{
"type": "AMOUNT",
"unit": "USD",
"value": "600.00",
"remaining_value": "600.00",
"implication_of_limit_breach": "START_GRACE_PERIOD"
}
],
"status": "ACTIVE"
},
{
"name": "WITHDRAW_MONEY",
"limits": [
{
"type": "AMOUNT",
"unit": "USD",
"value": "600.00",
"remaining_value": "600.00",
"implication_of_limit_breach": "BLOCK_CAPABILITY"
}
],
"status": "ACTIVE"
}
],
"process_view": {
"processes": [
{
"name": "MANAGED_PATH_KYC_COLLECTION",
"status": "COMPLETED",
"capabilities": [
{
"name": "WITHDRAW_MONEY"
},
{
"name": "APPLE_PAY"
},
{
"name": "GOOGLE_PAY"
},
{
"name": "CUSTOM_CARD_PROCESSING"
},
{
"name": "RECEIVE_MONEY"
}
]
},
{
"name": "MANAGED_PATH_KYC_VERIFICATION",
"status": "NEED_MORE_DATA",
"capabilities": [
{
"name": "WITHDRAW_MONEY",
"limits": [
{
"type": "AMOUNT",
"unit": "USD",
"value": "600.00",
"remaining_value": "600.00",
"implication_of_limit_breach": "BLOCK_CAPABILITY"
}
]
},
{
"name": "RECEIVE_MONEY",
"limits": [
{
"type": "AMOUNT",
"unit": "USD",
"value": "600.00",
"remaining_value": "600.00",
"implication_of_limit_breach": "START_GRACE_PERIOD"
}
]
},
{
"name": "GOOGLE_PAY",
"limits": [
{
"type": "AMOUNT",
"unit": "USD",
"value": "600.00",
"remaining_value": "600.00",
"implication_of_limit_breach": "START_GRACE_PERIOD"
}
]
},
{
"name": "CUSTOM_CARD_PROCESSING",
"limits": [
{
"type": "AMOUNT",
"unit": "USD",
"value": "600.00",
"remaining_value": "600.00",
"implication_of_limit_breach": "START_GRACE_PERIOD"
}
]
},
{
"name": "APPLE_PAY",
"limits": [
{
"type": "AMOUNT",
"unit": "USD",
"value": "600.00",
"remaining_value": "600.00",
"implication_of_limit_breach": "START_GRACE_PERIOD"
}
]
}
],
"required": {
"op": "ALL_OF",
"attributes": [
{
"op": "ONE_OF",
"attributes": [
"c3fa7",
"186a1",
"58a2b",
"0eaed",
"c3ffa",
"ad278",
"e0feb",
"7785e"
]
}
]
},
"required_corrections": {
"op": "ALL_OF",
"attributes": [
{
"op": "ONE_OF",
"attributes": [
"c3fa7",
"186a1",
"58a2b",
"0eaed",
"c3ffa",
"ad278",
"e0feb",
"7785e"
]
},
"$.individual_owners[?(@['id']=='TU8NQAK97BJ5J')].names[?(@['type']=='LEGAL')]",
"$.individual_owners[?(@['id']=='TU8NQAK97BJ5J')].birth_details.date_of_birth",
"$.individual_owners[?(@['id']=='TU8NQAK97BJ5J')].primary_residence"
]
}
}
],
"required_documents": [
{
"id": "c3fa7",
"name": "VISA",
"entity": "$.individual_owners[?(@['id']=='TU8NQAK97BJ5J')]",
"links": [
{
"href": "https://api.sandbox.paypal.com/v1/customer/supporting-documents/1c01149c-dfd4-415a-9514-e670468cdc7d/upload",
"rel": "upload",
"method": "POST"
}
]
},
{
"id": "e0feb",
"name": "BORDER_CROSSING_CARD",
"entity": "$.individual_owners[?(@['id']=='TU8NQAK97BJ5J')]",
"links": [
{
"href": "https://api.sandbox.paypal.com/v1/customer/supporting-documents/1c01149c-dfd4-415a-9514-e670468cdc7d/upload",
"rel": "upload",
"method": "POST"
}
]
},
{
"id": "58a2b",
"name": "CHILD_ID_CARD",
"entity": "$.individual_owners[?(@['id']=='TU8NQAK97BJ5J')]",
"links": [
{
"href": "https://api.sandbox.paypal.com/v1/customer/supporting-documents/1c01149c-dfd4-415a-9514-e670468cdc7d/upload",
"rel": "upload",
"method": "POST"
}
]
},
{
"id": "c3ffa",
"name": "DRIVERS_LICENSE",
"entity": "$.individual_owners[?(@['id']=='TU8NQAK97BJ5J')]",
"links": [
{
"href": "https://api.sandbox.paypal.com/v1/customer/supporting-documents/1c01149c-dfd4-415a-9514-e670468cdc7d/upload",
"rel": "upload",
"method": "POST"
}
]
},
{
"id": "0eaed",
"name": "PASSPORT_CARD",
"entity": "$.individual_owners[?(@['id']=='TU8NQAK97BJ5J')]",
"links": [
{
"href": "https://api.sandbox.paypal.com/v1/customer/supporting-documents/1c01149c-dfd4-415a-9514-e670468cdc7d/upload",
"rel": "upload",
"method": "POST"
}
]
},
{
"id": "ad278",
"name": "STATE_ID_CARD",
"entity": "$.individual_owners[?(@['id']=='TU8NQAK97BJ5J')]",
"links": [
{
"href": "https://api.sandbox.paypal.com/v1/customer/supporting-documents/1c01149c-dfd4-415a-9514-e670468cdc7d/upload",
"rel": "upload",
"method": "POST"
}
]
},
{
"id": "186a1",
"name": "PASSPORT",
"entity": "$.individual_owners[?(@['id']=='TU8NQAK97BJ5J')]",
"links": [
{
"href": "https://api.sandbox.paypal.com/v1/customer/supporting-documents/1c01149c-dfd4-415a-9514-e670468cdc7d/upload",
"rel": "upload",
"method": "POST"
}
]
},
{
"id": "7785e",
"name": "SPECIAL_PERMANENT_RESIDENCE_CARD",
"entity": "$.individual_owners[?(@['id']=='TU8NQAK97BJ5J')]",
"links": [
{
"href": "https://api.sandbox.paypal.com/v1/customer/supporting-documents/1c01149c-dfd4-415a-9514-e670468cdc7d/upload",
"rel": "upload",
"method": "POST"
}
]
}
]
},
"links": [
{
"href": "https://api.sandbox.paypal.com/v3/customer/managed-accounts/TU8NQAK97BJ5J",
"rel": "self",
"method": "GET"
},
{
"href": "https://api.sandbox.paypal.com/v3/customer/managed-accounts/TU8NQAK97BJ5J",
"rel": "edit",
"method": "PATCH"
},
{
"href": "https://api.sandbox.paypal.com/v3/customer/managed-accounts/TU8NQAK97BJ5J/wallet-domains?page=1",
"rel": "wallet-domains",
"method": "GET"
}
]
}Complete a GET request GET /v3/customer/managed-accounts/<ACCOUNT-ID>?views=process_view.
{
"account_id": "TU8NQAK97BJ5J",
"legal_country_code": "US",
"individual_owners": [
{
"id": "TU8NQAK97BJ5J",
"names": [
{
"given_name": "DECLINEDHaruma",
"surname": "DECLINEDGama",
"id": "ZERE8PQYY9Q3J",
"type": "LEGAL"
}
],
"citizenship": "US",
"primary_residence": {
"address_line_1": "1234 Lane1 Drive",
"admin_area_2": "100",
"postal_code": "95014",
"country_code": "US"
},
"phone_numbers": [
{
"country_code": "030",
"national_number": "6151175",
"id": "7KQCFT747TQLQ",
"type": "MOBILE"
}
],
"birth_details": {
"date_of_birth": "1995-05-30"
},
"identification_documents": [
{
"id": "DMSBWLLSU5BBU",
"identification_number": "****",
"issuing_country_code": "US",
"type": "SOCIAL_SECURITY_NUMBER"
}
],
"emails": [
{
"id": "4HHZF8Y4MG72G",
"email": "[email protected]"
}
]
}
],
"business_entity": {
"type": "INDIVIDUAL",
"merchant_category_code": "5933",
"incorporation_details": {},
"names": [
{
"business_name": "Demo",
"id": "RHZH8GJECKR84",
"type": "LEGAL"
}
],
"emails": [
{
"id": "E6J67DUBMUL36",
"email": "[email protected]"
}
],
"website_info": {
"website_exists": true,
"website_url": "www.test.com"
},
"registered_business_address": {
"address_line_1": "Campus 611 - 1876",
"address_line_2": "West Seattle",
"admin_area_2": "Seattle",
"admin_area_1": "WA",
"postal_code": "98109",
"country_code": "US"
},
"phone_numbers": [
{
"country_code": "1",
"national_number": "4088594848",
"id": "Q5JNBWZ93NVXJ",
"type": "BUSINESS"
}
],
"identification_documents": [
{
"id": "AUBW6W48XVK6G",
"identification_number": "****",
"issuing_country_code": "US",
"type": "EMPLOYER_IDENTIFICATION_NUMBER"
}
],
"declarations": [
{
"name": "TWENTY_FIVE_PERCENT_BENEFICIAL_OWNER",
"value": "NO"
}
]
},
"agreements": [
{
"type": "TERMS_ACCEPTED",
"accepted_time": "2019-06-02T01:23:45Z"
}
],
"balances": [
{
"available_balances": [
{
"currency_code": "USD",
"value": "0.00"
}
],
"available": {
"currency_code": "USD",
"value": "0.00"
},
"reserved": {
"currency_code": "USD",
"value": "0.00"
}
}
],
"external_id": "EXT-1717595152",
"organization": "us",
"user_id": "1717595104341",
"primary_currency_code": "USD",
"soft_descriptor": "DEMO",
"capabilities": [
{
"name": "APPLE_PAY",
"limits": [
{
"type": "AMOUNT",
"unit": "USD",
"value": "600.00",
"remaining_value": "600.00",
"implication_of_limit_breach": "START_GRACE_PERIOD"
}
],
"status": "ACTIVE"
},
{
"name": "GOOGLE_PAY",
"limits": [
{
"type": "AMOUNT",
"unit": "USD",
"value": "600.00",
"remaining_value": "600.00",
"implication_of_limit_breach": "START_GRACE_PERIOD"
}
],
"status": "ACTIVE"
},
{
"name": "CUSTOM_CARD_PROCESSING",
"limits": [
{
"type": "AMOUNT",
"unit": "USD",
"value": "600.00",
"remaining_value": "600.00",
"implication_of_limit_breach": "START_GRACE_PERIOD"
}
],
"status": "ACTIVE"
},
{
"name": "RECEIVE_MONEY",
"status": "DENY"
},
{
"name": "WITHDRAW_MONEY",
"status": "DENY"
}
],
"process_view": {
"processes": [
{
"name": "MANAGED_PATH_KYC_VERIFICATION",
"status": "MANUAL_REVIEW",
"capabilities": [
{
"name": "WITHDRAW_MONEY",
"limits": [
{
"type": "AMOUNT",
"unit": "USD",
"value": "600.00",
"remaining_value": "600.00",
"implication_of_limit_breach": "BLOCK_CAPABILITY"
}
]
},
{
"name": "GOOGLE_PAY",
"limits": [
{
"type": "AMOUNT",
"unit": "USD",
"value": "600.00",
"remaining_value": "600.00",
"implication_of_limit_breach": "START_GRACE_PERIOD"
}
]
},
{
"name": "APPLE_PAY",
"limits": [
{
"type": "AMOUNT",
"unit": "USD",
"value": "600.00",
"remaining_value": "600.00",
"implication_of_limit_breach": "START_GRACE_PERIOD"
}
]
},
{
"name": "RECEIVE_MONEY",
"limits": [
{
"type": "AMOUNT",
"unit": "USD",
"value": "600.00",
"remaining_value": "600.00",
"implication_of_limit_breach": "START_GRACE_PERIOD"
}
]
},
{
"name": "CUSTOM_CARD_PROCESSING",
"limits": [
{
"type": "AMOUNT",
"unit": "USD",
"value": "600.00",
"remaining_value": "600.00",
"implication_of_limit_breach": "START_GRACE_PERIOD"
}
]
}
]
},
{
"name": "MANAGED_PATH_KYC_COLLECTION",
"status": "COMPLETED",
"capabilities": [
{
"name": "APPLE_PAY"
},
{
"name": "WITHDRAW_MONEY"
},
{
"name": "GOOGLE_PAY"
},
{
"name": "RECEIVE_MONEY"
},
{
"name": "CUSTOM_CARD_PROCESSING"
}
]
},
{
"name": "REQUEST_FOR_INFORMATION_235",
"status": "FAILED",
"limitation_category": "REGULATORY_COMPLIANCE",
"limitation_text": "Due to potential risks with this account, we can no longer do business with you.",
"capabilities": [
{
"name": "WITHDRAW_MONEY",
"status": "DENY"
},
{
"name": "RECEIVE_MONEY",
"status": "DENY"
}
]
}
]
},
"links": [
{
"href": "https://api.sandbox.paypal.com/v3/customer/managed-accounts/TU8NQAK97BJ5J",
"rel": "self",
"method": "GET"
},
{
"href": "https://api.sandbox.paypal.com/v3/customer/managed-accounts/TU8NQAK97BJ5J",
"rel": "edit",
"method": "PATCH"
},
{
"href": "https://api.sandbox.paypal.com/v3/customer/managed-accounts/TU8NQAK97BJ5J/wallet-domains?page=1",
"rel": "wallet-domains",
"method": "GET"
}
]
}Upload the required additional document(s). In this example, to ensure PayPal rejects it, the document's name must be reject_R65.jpg.
curl -v -X \
POST https://api-m.sandbox.paypal.com/v1/customer/supporting-documents \
-H "Content-Type: multipart/form-data; boundary=WebKitFormBoundarydCVmGbjc9rWllBlE" \
-H "Authorization: Bearer Access-Token" \
-F 'input={"document_info": "{"document_type":"PASSPORT"}"};type=application/json' \
-F 'driver_licence_front_and_back=@reject_R65.jpg' \Receive the webhook notification when the status of a managed account changes.
Check the processes section to verify the status of various processes. Here, MANAGED_PATH_KYC_VERIFICATION shows NEED_MORE_DATA, and certain capabilities are denied.
{
"id": "WH-0689145738549502W-55U212471E441351D",
"event_version": "1.0",
"create_time": "2024-06-05T13:52:47.000Z",
"resource_type": "managed-accounts",
"event_type": "CUSTOMER.MANAGED-ACCOUNT.ACCOUNT-STATUS-CHANGED",
"summary": "An account status has been changed",
"resource": {
"processes": [
{
"name": "REQUEST_FOR_INFORMATION_235",
"status": "FAILED"
},
{
"name": "MANAGED_PATH_KYC_VERIFICATION",
"status": "NEED_MORE_DATA"
},
{
"name": "MANAGED_PATH_KYC_COLLECTION",
"status": "COMPLETED"
}
],
"account_id": "TU8NQAK97BJ5J",
"capabilities": [
{
"name": "WITHDRAW_MONEY",
"status": "DENY"
},
{
"name": "RECEIVE_MONEY",
"status": "DENY"
},
{
"name": "CUSTOM_CARD_PROCESSING",
"status": "ACTIVE"
},
{
"name": "APPLE_PAY",
"status": "ACTIVE"
},
{
"name": "GOOGLE_PAY",
"status": "ACTIVE"
}
],
"application_context": {
"event_context": "ACTION"
},
"external_id": "EXT-1717595152",
"links": [
{
"rel": "self",
"href": "https://api.paypal.com/v3/customer/managed-accounts/TU8NQAK97BJ5J",
"method": "GET"
}
]
},
"links": [
{
"href": "https://api.sandbox.paypal.com/v1/notifications/webhooks-events/WH-0689145738549502W-55U212471E441351D",
"rel": "self",
"method": "GET"
},
{
"href": "https://api.sandbox.paypal.com/v1/notifications/webhooks-events/WH-0689145738549502W-55U212471E441351D/resend",
"rel": "resend",
"method": "POST"
}
]
}